Bug 141135 - CAN-2004-1018 Multiple issues in PHP (CAN-2004-1019 CAN-2004-1020)
CAN-2004-1018 Multiple issues in PHP (CAN-2004-1019 CAN-2004-1020)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
impact=important,public=20051215
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 10:54 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.3.10-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 17:20:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Mark J. Cox (Product Security) 2004-12-15 16:59:20 EST
See http://www.hardened-php.net/advisories/012004.txt for issues
affected PHP
Comment 4 Matthew Miller 2004-12-15 21:25:13 EST
For the record, looks like this affects FC2 as well.
Comment 5 Robert Scheck 2004-12-16 09:48:13 EST
PHP 4.3.10 fixes this issues (and a few minor problems), see: 
http://www.php.net/ChangeLog-4.php#4.3.10
Comment 6 Matthew Miller 2004-12-21 11:32:42 EST
Any word on an update here? It's apparently being exploited in real life.

(I see that a RHEL update is in the works in bug #141132....)
Comment 7 Joe Orton 2004-12-21 13:52:55 EST
It's being pushed right now.
Comment 8 Matthew Miller 2004-12-21 14:06:21 EST
Excellent; thank you.

Note You need to log in before you can comment on or make changes to this bug.